<?xml version="1.0" encoding="ISO-8859-1"?>
<document xmlns:lxslt="http://xml.apache.org/xslt">
<properties><title>Directory statcvs/tests-src/net/sf/statcvs/model/</title></properties>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <meta name="Generator" content="StatCVS 0.4.0"/>
    <link rel="stylesheet" href="objectlab-statcvs-xdoc.css" type="text/css"/>
  </head>

<body><section name="Directory statcvs/tests-src/net/sf/statcvs/model/">
<div id="parentlink">&#171; <a href="index.html">Development Statistics for  StatCVS</a></div>
<dl class="attributes">
    <dt>Directory Created:</dt>
    <dd><span class="date">2003-02-04 06:58</span></dd>
    <dt>Total Files:</dt>
    <dd>7</dd>
    <dt>Deleted Files:</dt>
    <dd>6</dd>
    <dt>Lines of Code:</dt>
    <dd>988</dd>
</dl>
<p><a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/">Browse with ViewVC</a></p>
<p class="dirtree">
<a href="dir.html">[root]</a>/<a href="dir_statcvs.html">statcvs</a>/<a href="dir_statcvs_tests-src.html">tests-src</a>/<a href="dir_statcvs_tests-src_net.html">net</a>/<a href="dir_statcvs_tests-src_net_sf.html">sf</a>/<a href="dir_statcvs_tests-src_net_sf_statcvs.html">statcvs</a>/<strong>model</strong><br/>
</p>

<div class="section">
<subsection name ="Lines of Code">
<p class="chart"><img src="loc_module_statcvs_tests-src_net_sf_statcvs_model.png" alt="statcvs/tests-src/net/sf/statcvs/model/ Lines of Code" width="720" height="450" /></p></subsection></div>
<div class="section">
<subsection name ="Developers">
  <table  class="statCvsTable" rules="groups" summary="All authors and the number of their changes and lines of code in this directory">
    <colgroup align="left"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <colgroup align="right"/>
    <thead>
      <tr>
        <th>Author</th>
        <th>Changes</th>
        <th>Lines of Code</th>
        <th>Lines per Change</th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th>Totals</th>
        <td>181 (100.0%)</td>
        <td>4198 (100.0%)</td>
        <td>23.1</td>
      </tr>
    </tfoot>
    <tbody>
      <tr  class="odd">
        <th><a href="user_cyganiak.html" class="author">Richard Cyganiak</a></th>
        <td>144 (79.6%)</td>
        <td>1722 (41.0%)</td>
        <td>11.9</td>
      </tr>
      <tr  class="even">
        <th><a href="user_lukasz.html" class="author">Lukasz Pekacki</a></th>
        <td>17 (9.4%)</td>
        <td>1558 (37.1%)</td>
        <td>91.6</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_benoitx.html" class="author">Benoit Xhenseval</a></th>
        <td>7 (3.9%)</td>
        <td>738 (17.6%)</td>
        <td>105.4</td>
      </tr>
      <tr  class="even">
        <th><a href="user_jkealey.html" class="author">Jason Kealey</a></th>
        <td>6 (3.3%)</td>
        <td>109 (2.6%)</td>
        <td>18.1</td>
      </tr>
      <tr  class="odd">
        <th><a href="user_squig.html" class="author">Steffen Pingel</a></th>
        <td>6 (3.3%)</td>
        <td>69 (1.6%)</td>
        <td>11.5</td>
      </tr>
      <tr  class="even">
        <th><a href="user_manschu.html" class="author">Manuel Schulze</a></th>
        <td>1 (0.6%)</td>
        <td>2 (0.0%)</td>
        <td>2.0</td>
      </tr>
    </tbody>
  </table>

</subsection></div>
<div class="section">
<subsection name ="Most Recent Commits">
<dl class="commitlist">
  <dt><a name="20"></a>
    <a href="user_benoitx.html" class="author">Benoit Xhenseval</a>
    <span class="date">2008-04-02 12:22</span>
  </dt>
  <dd>
    <p class="comment">
Done an Eclipse cleanUp in order to reduce number of warnings by FindBugs / Checkstyle / PMD tools.<br />
Sorry if it is looking like a massive change...
    </p>
    <p class="commitdetails"><strong>738</strong> lines of code changed in <span class="files">7 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.10&amp;r2=1.11" class="webrepository">AllTests.java</a>&#160;<span class="change">(+16&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.7&amp;r2=1.8" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+77&#160;-77)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.19&amp;r2=1.20" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+118&#160;-118)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.30&amp;r2=1.31" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+146&#160;-147)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.25&amp;r2=1.26" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+146&#160;-148)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.18&amp;r2=1.19" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+202&#160;-202)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?r1=1.5&amp;r2=1.6" class="webrepository">RevisionTest.java</a>&#160;<span class="change">(+33&#160;-33)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="19"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2006-12-08 21:21</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.30</span></span>
  </dt>
  <dd>
    <p class="comment">
Test failed because it worked with inconsistent VersionedFile objects
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.29&amp;r2=1.30" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="18"></a>
    <a href="user_jkealey.html" class="author">Jason Kealey</a>
    <span class="date">2006-11-22 16:29</span>
  </dt>
  <dd>
    <p class="comment">
Refactoring of StatCVS so that StatSVN can properly extend it.<br />
Added StatSVN features: bugzilla integration, viewvc integration, xdoc export<br />
Many thanks to Benoit Xhenseval for refactoring both StatCVS and StatSVN and providing xdoc support.
    </p>
    <p class="commitdetails"><strong>109</strong> lines of code changed in <span class="files">6 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.6&amp;r2=1.7" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+19&#160;-19)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.18&amp;r2=1.19" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+19&#160;-19)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.28&amp;r2=1.29" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+20&#160;-20)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.24&amp;r2=1.25" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+28&#160;-28)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.17&amp;r2=1.18" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+14&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?r1=1.4&amp;r2=1.5" class="webrepository">RevisionTest.java</a>&#160;<span class="change">(+9&#160;-9)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="17"></a>
    <a href="user_squig.html" class="author">Steffen Pingel</a>
    <span class="date">2004-12-14 13:38</span>
  </dt>
  <dd>
    <p class="comment">
merged parsing of entries file and symbolic names patch [#910508]
    </p>
    <p class="commitdetails"><strong>69</strong> lines of code changed in <span class="files">6 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.5&amp;r2=1.6" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+11&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.17&amp;r2=1.18" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+1&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.27&amp;r2=1.28" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+22&#160;-22)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.23&amp;r2=1.24" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.16&amp;r2=1.17" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+14&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?r1=1.3&amp;r2=1.4" class="webrepository">RevisionTest.java</a>&#160;<span class="change">(+6&#160;-6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="16"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-20 19:32</span>
  </dt>
  <dd>
    <p class="comment">
Added factory methods for CvsRevisions to CvsFile. Revisions are no longer created by calling "new CvsRevision(file, ...)" but like "file.addInitialRevision(...)".
    </p>
    <p class="commitdetails"><strong>78</strong> lines of code changed in <span class="files">3 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.26&amp;r2=1.27" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+39&#160;-46)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.22&amp;r2=1.23" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+25&#160;-47)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.15&amp;r2=1.16" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+14&#160;-18)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="15"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-20 01:41</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.22</span></span>
  </dt>
  <dd>
    <p class="comment">
test the assertion that revisions can be added to a file in any order
    </p>
    <p class="commitdetails"><strong>16</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.21&amp;r2=1.22" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+16)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="14"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-20 01:33</span>
  </dt>
  <dd>
    <p class="comment">
lots of small cleanups in the model package, including changed collection types, some removed methods, and lots of javadoc cleanup
    </p>
    <p class="commitdetails"><strong>9</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.16&amp;r2=1.17" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+3&#160;-3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.20&amp;r2=1.21" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+6&#160;-1)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="13"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-19 23:31</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.15</span></span>
  </dt>
  <dd>
    <p class="comment">
modified Directory to a SortedSet based implementation
    </p>
    <p class="commitdetails"><strong>19</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.14&amp;r2=1.15" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+19&#160;-2)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="12"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-19 23:15</span>
  </dt>
  <dd>
    <p class="comment">
- made DirectoryRoot and DirectoryImpl package private<br />
- added public Directory.createRoot and Directory.createSubdirectory methods<br />
- more minor cleanups in Directory classes
    </p>
    <p class="commitdetails"><strong>32</strong> lines of code changed in <span class="files">6 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.4&amp;r2=1.5" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+8&#160;-8)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.15&amp;r2=1.16" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+1&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.25&amp;r2=1.26" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+3&#160;-3)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.19&amp;r2=1.20" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+2&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.13&amp;r2=1.14" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+15&#160;-15)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?r1=1.2&amp;r2=1.3" class="webrepository">RevisionTest.java</a>&#160;<span class="change">(+3&#160;-3)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="11"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-19 22:23</span>
  </dt>
  <dd>
    <p class="comment">
Removed CvsFile.isInAttic(); instead, the Builder provides a method getAtticFileNames(). The idea is to keep CVS internals out of the model package. Also added CvsFile.compareTo
    </p>
    <p class="commitdetails"><strong>36</strong> lines of code changed in <span class="files">6 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.3&amp;r2=1.4" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+8&#160;-8)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.14&amp;r2=1.15" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+5&#160;-5)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.24&amp;r2=1.25" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+1&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.18&amp;r2=1.19" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+8&#160;-14)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.12&amp;r2=1.13" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+11&#160;-11)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?r1=1.1&amp;r2=1.2" class="webrepository">RevisionTest.java</a>&#160;<span class="change">(+3&#160;-3)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="10"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-18 19:00</span>
  </dt>
  <dd>
    <p class="comment">
Removed CvsFile.isBinary(), this is now handled by the input package. The input package now creates files/revisions with 0 lines for binary files.<br />
<br />
Many changes to CvsRevision:<br />
- replaced all line count related methods by new ones with cleaner semantics<br />
- renamed some more methods<br />
- changed the line count related constructor arguments to cleaner semantics
    </p>
    <p class="commitdetails"><strong>111</strong> lines of code changed in <span class="files">7 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.9&amp;r2=1.10" class="webrepository">AllTests.java</a>&#160;<span class="change">(+1&#160;-2)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.2&amp;r2=1.3" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+8&#160;-8)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.13&amp;r2=1.14" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+5&#160;-5)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsContentTest.java?r1=1.23&amp;r2=1.24" class="webrepository">CvsContentTest.java</a>&#160;<span class="change">(+1&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CvsFileTest.java?r1=1.17&amp;r2=1.18" class="webrepository">CvsFileTest.java</a>&#160;<span class="change">(+9&#160;-9)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.11&amp;r2=1.12" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+19&#160;-19)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionTest.java?rev=1.1&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionTest.java</a>&#160;<span class="new">(new&#160;68)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="9"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-17 21:40</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.13</span></span>
  </dt>
  <dd>
    <p class="comment">
refactoring: moving more CVS-specific stuff (clustering of revisions into commits) from model.Commit to input.CommitListBuilder; some other changes in Commit
    </p>
    <p class="commitdetails"><strong>12</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitTest.java?r1=1.12&amp;r2=1.13" class="webrepository">CommitTest.java</a>&#160;<span class="change">(+12&#160;-80)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="8"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-17 18:37</span>
  </dt>
  <dd>
    <p class="comment">
- moved DummyRepositoryFileManager from model to input<br />
- added some tests for model.Directory class
    </p>
    <p class="commitdetails"><strong>77</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.10&amp;r2=1.11" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+77&#160;-16)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DummyRepositoryFileManager.java?rev=1.3&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">DummyRepositoryFileManager.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="7"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2004-02-17 06:55</span>
  </dt>
  <dd>
    <p class="comment">
- added CvsContent.getCommits()<br />
- moved CommitListBuilder from model to input<br />
- changed users of CommitListBuilder to use getCommits
    </p>
    <p class="commitdetails"><strong>1</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.8&amp;r2=1.9" class="webrepository">AllTests.java</a>&#160;<span class="change">(+1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitListBuilderTest.java?rev=1.9&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="6"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-18 00:26</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.9</span></span>
  </dt>
  <dd>
    <p class="comment">
refactoring: removed RevisionIterator and everything related (yay!)
    </p>
    <p class="commitdetails"><strong>3</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitListBuilderTest.java?rev=1.9&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="change">(+3&#160;-5)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="5"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-17 23:56</span>
  </dt>
  <dd>
    <p class="comment">
refactoring: replaced CvsContent.getRevisionIterator() by CvsContent.getRevisions()
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AllTests.java?r1=1.7&amp;r2=1.8" class="webrepository">AllTests.java</a>&#160;<span class="change">(-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.21&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="del">(del)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="4"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-17 23:42</span>
  </dt>
  <dd>
    <p class="comment">
refactoring: removed RevisionSortIterator
    </p>
    <p class="commitdetails"><strong>3</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/CommitListBuilderTest.java?rev=1.8&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">CommitListBuilderTest.java</a>&#160;<span class="change">(+3&#160;-1)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.21&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="change">(-106)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="3"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-17 23:26</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.20</span></span>
  </dt>
  <dd>
    <p class="comment">
refactoring: removed RevisionIteratorSummary
    </p>
    <p class="commitdetails"><strong>0</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.20&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="change">(-35)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="2"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-17 23:12</span>
    <span class="revisionNumberOuter">Rev.: <span class="revisionNumberInner">1.2</span></span>
  </dt>
  <dd>
    <p class="comment">
refactoring: replaced Author.getRevisionIterator() with Author.getRevisions() (We are trying to get rid of RevisionIterator; better just use collections of revisions and do all sorting and filtering by yourself)
    </p>
    <p class="commitdetails"><strong>7</strong> lines of code changed in <span class="files">1 file</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/AuthorTest.java?r1=1.1&amp;r2=1.2" class="webrepository">AuthorTest.java</a>&#160;<span class="change">(+7&#160;-6)</span>
      </li>
    </ul>
  </dd>

  <dt><a name="1"></a>
    <a href="user_cyganiak.html" class="author">Richard Cyganiak</a>
    <span class="date">2003-12-17 22:46</span>
  </dt>
  <dd>
    <p class="comment">
refactoring: removed hardly used RevisionFilterIterator and related classes
    </p>
    <p class="commitdetails"><strong>6</strong> lines of code changed in <span class="files">2 files</span>:</p>
    <ul class="commitdetails">
      <li>
        <strong>statcvs/tests-src/net/sf/statcvs/model</strong>:
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/DirectoryTest.java?r1=1.9&amp;r2=1.10" class="webrepository">DirectoryTest.java</a>&#160;<span class="change">(+6&#160;-10)</span>,
        <a href="http://statcvs.cvs.sourceforge.net/statcvs/statcvs/tests-src/net/sf/statcvs/model/RevisionIteratorTest.java?rev=1.19&amp;content-type=text/vnd.viewcvs-markup" class="webrepository">RevisionIteratorTest.java</a>&#160;<span class="change">(-117)</span>
      </li>
    </ul>
  </dd>

</dl>

<p>(35 more)</p>
</subsection></div></section><div id="generatedby">Generated by <a href="http://statcvs.sourceforge.net">StatCVS</a> 0.4.0</div>
</body>
</document>